package de.fhhannover.inform.trust.ifmapj.binding.dom;

/**
 * Implementation independent representation of a XmlNamespace declaration
 * information.
 * 
 * @author aw
 */
class XmlNamespace {
	
	/**
	 * prefix for this namespace, use the empty string for the default
	 * namespace.
	 */
	final String mPrefix;
	
	/**
	 * the corresponding URI for this prefix
	 */
	final String mUri;
	
	
	/**
	 * 
	 * @param prefix
	 * @param uri
	 */
	XmlNamespace(String prefix, String uri) {
		if (prefix == null || uri == null)
			throw new NullPointerException("null initialization not allowed");
		
		mPrefix = prefix;
		mUri = uri;
	}

	
	String getPrefix() {
		return mPrefix;
	}

	
	String getUri() {
		return mUri;
	}
	

}
