package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.Collection;

import util.Pair;

/**
 * Implementations of {@link NamespaceDeclarationHolder} can use this
 * class to delegate the calls.
 * 
 * @author aw
 *
 */
class NamespaceDeclarationHolderImpl extends GenericObjectHolder<Pair<String, String>>
		implements NamespaceDeclarationHolder {
	
	NamespaceDeclarationHolderImpl() { }

	@Override
	public void addNamespaceDeclaration(String prefix, String uri) {
		if (prefix == null || uri == null)
			throw new NullPointerException();
		
		addElement(new Pair<String, String>(prefix, uri));
	}

	@Override
	public Collection<Pair<String, String>> getNamespaceDeclarations() {
		return getElements();
	}
}
